Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP DELETE

DELETE batch/outbounds/:id/records

Ostatnia modyfikacja 2026-05-18 13:56:05

Usuwanie rekordów z kampanii.

Dla zduplikowanych numerów zostaną usunięte wszystkie znalezione rekordy.

Rekord, który jest w trakcie rozmowy nie zostanie usunięty (zwróci status CALL_IN_PROGRESS).

URL

https://your-system-name.thulium.com/api/batch/outbounds/:id/records

Parametry

id

wymagany

Pięcioznakowy identyfikator kampanii. Przykładowa wartość: 00001
phone_number[]

wymagany

Numer telefonu który zostanie usunięty z kampanii (jeden lub wiele). Przykładowa wartość: 333444555
search_in_additional_numbers

opcjonalny

Flaga odpowiedzialna za wyszukiwanie w numerach dodatkowych. Przykładowa wartość: true

Przykładowy request

DELETE https://your-system-name.thulium.com/api/batch/outbounds/00001/records/?phone_number[]=441&phone_number[]=442

Przykładowy response

{
    "441": [
        {
            "http_status": 200,
            "record_id": 5235,
            "status": "REMOVED"
        },
        {
            "http_status": 200,
            "record_id": 5226,
            "status": "REMOVED"
        }
    ],
    "442": [
        {
            "http_status": 404,
            "status": "NOT_EXIST"
        }
    ]
}

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/batch/outbounds/00001/records/?phone_number[]=441&phone_number[]=442');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.delete("https://your-system-name.thulium.com/api/batch/outbounds/00001/records/?phone_number[]=441&phone_number[]=442");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X DELETE -H "Accept: application/json" "https://your-system-name.thulium.com/api/batch/outbounds/00001/records/?phone_number[]=441&phone_number[]=442"

HTTPie
http -a api_user:api_pass DELETE https://your-system-name.thulium.com/api/batch/outbounds/00001/records/ phone_number[]==441 phone_number[]==442 Accept:application/json